<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->


<div class="p-4">

  <app-breadcrumbs></app-breadcrumbs>

  <div
    class="h3"
    [innerText]="messages.SERVER_DATA">
  </div>

  <!-- Header -->

  <div class="mt-3 my-2 d-flex flex-row justify-content-end">
    <span
      class="fw-bold"
      *ngIf="loggedInUserCount"
      [innerText]="messages.usersCount(loggedInUserCount)">
    </span>

    <ng-template #sessionsTooltip>
      <div class="d-flex flex-column text-start">
        <div [innerText]="messages.SESSIONS_TOOLTIP_LINE_1"></div>
        <div [innerText]="messages.SESSIONS_TOOLTIP_LINE_2"></div>
        <div [innerText]="messages.SESSIONS_TOOLTIP_LINE_3"></div>
      </div>
    </ng-template>

    <fa-icon
      class="ms-1"
      [icon]="infoIcon"
      tooltipClass="big-tooltip"
      [ngbTooltip]="sessionsTooltip">
    </fa-icon>
  </div>

  <div class="bg-white border p-2 shadow-sm d-flex flex-row">
    <div class="m-3 chart-container">
      <div
        class="h4"
        [innerText]="messages.SERVICES">
      </div>

      <div *ngIf="localSpaceUsage">
        <span>{{messages.LOCAL_DISK_USE}} {{localSpaceUsage}}%</span>
        <div class="progress">
          <div
            class="progress-bar"
            role="progressbar"
            [style.width.%]="localSpaceUsage"
            [attr.aria-valuenow]="localSpaceUsage"
            aria-valuemin="0"
            aria-valuemax="100">
          </div>
        </div>
      </div>

      <app-job-graph-list
        *ngIf="jobDataResponses"
        [jobDataResponses]="jobDataResponses">
      </app-job-graph-list>
    </div>
  </div>

</div>
